
Redmine - Defect #20648

Users' "Last connection" is not updated correctly.

2015-09-01 05:00 - kaz k

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

In the User Profile, there are following two date fields.

Registered on: 2015-01-01 (value is an example)

Last connection: 2015-09-01 (value is an example)

For some users, "Last connection" is not correct. Although the user logs in Redmine, "Last connection" date is not updated.

In our system, for example, a user logged in on August 31, 2015. But "Last connection" date is still "August 22, 2015".

It is also true in the Administration=>Users listing.

We are using this field to determine if the user is active or not. So We hope this field is correct.

Thank you all, in advance.

Reported version

Redmine 2.5.0.stable.

Details are as follows.

Environment:

  Redmine version                2.5.0.stable

  Ruby version                   1.9.3-p484 (2013-11-22) [x86_64-linux]

  Rails version                  3.2.17

  Environment                    production

  Database adapter               PostgreSQL

Related issues:

Related to Redmine - Feature #28952: Update User#last_login_on only once per ... Closed

Related to Redmine - Feature #37115: Update last_login_on when sending reques... New

History

#1 - 2015-09-01 06:50 - kaz k

kaz k wrote:

It is also true in the Administratyion=>Users listing.

 Sorry...typo.

"Administratyion"=>"Administration"

#2 - 2015-09-11 09:19 - Toshi MARUYAMA

- Description updated

#3 - 2015-09-11 09:27 - Toshi MARUYAMA

- Status changed from New to Needs feedback

From #2820
1. When a user logs in the User.last_login_on field is updated to the current time.

2. When logging in via an autologin cookie the user's last_login_on be updated

How do you expect?

#4 - 2015-09-14 08:29 - kaz k

Toshi MARUYAMA wrote:

From #2820

1. When a user logs in the User.last_login_on field is updated to the current time.

2. When logging in via an autologin cookie the user's last_login_on be updated

How do you expect?

 My expectations are as follows.

1. As the field says "Last connection", it is natural that "Last connection" is to be updated every time when a user logs in, regardless of the

autologin cookie ( and its expiration).

There is a time duration of user's activity from Log-in to Log-out. "Last Connection" is not clear if it points the log-in time or log-out time, and

sometimes log-out time is not captured precisely (for example, when the connection is broken). This is why I think Last log-in time is

appropriate.

"Last connection" might be renamed as "Last Log in".

2. From the administrator's view, he/she wants to know how long a user has not logged in to determine if the user seems inactive or not. It does not

depend on the use of autologin cookie.

Kind regards,

#5 - 2015-09-14 08:52 - kaz k

- File Last_connection_and_activity_log.jpg added

Attached is a screenshot of our Redmine user profile screen captured today. There are comments in it.

Hope this helps.

#6 - 2015-09-14 09:18 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#7 - 2015-09-19 20:45 - minkbear minkbear

Found the same issue on version 2.6.1

#8 - 2015-09-24 20:59 - Luiz Carlos Junior

+1

My environment is:

Environment:

  Redmine version                2.6.2.stable

  Ruby version                   1.9.3-p551 (2014-11-13) [x86_64-linux]

  Rails version                  3.2.21

  Environment                    production

  Database adapter               Mysql2

#9 - 2015-09-26 08:38 - Go MAEDA

- File last_connection_fix.diff added

I have wrote a patch to fix this issue.

With this patch applied, "Last connection" is updated every time the application is accessed.

#10 - 2015-09-26 09:08 - Go MAEDA

- File last_connection_fix.diff added

#11 - 2015-09-26 09:08 - Go MAEDA

- File deleted (last_connection_fix.diff)
#12 - 2015-09-26 13:19 - Sebastian Paluch

Go MAEDA wrote:

I have wrote a patch to fix this issue.

With this patch applied, "Last connection" is updated every time the application is accessed.

 Great! This is how it should work.

#13 - 2015-09-29 06:34 - kaz k

Go MAEDA wrote:

I have wrote a patch to fix this issue.

With this patch applied, "Last connection" is updated every time the application is accessed.

 Thank you very much !

I think the description of "Last connection" is better to be replaced with "Last Activity".

Because user may keep login for a few days and keep making updates. In this case, "Last connection" is older than the current date. If the patch

works as described, the field indicates last access.

#14 - 2015-10-07 07:40 - Go MAEDA

- Target version set to Candidate for next major release

#15 - 2016-02-26 07:50 - Ronald Heggenberger

I'm running redmine with the following environment:

  Redmine version                3.2.0.stable

  Ruby version                   2.1.8-p440 (2015-12-16) [x86_64-linux-gnu]

  Rails version                  4.2.5

but having the same issue... Will that patch be applied to 3.2.0 too?

#16 - 2016-06-15 14:32 - Lotfi Trigui

Ronald Heggenberger wrote:

I'm running redmine with the following environment:

[...]

but having the same issue... Will that patch be applied to 3.2.0 too?

 I also have the same issue in 3.2.1 version

#17 - 2018-06-06 03:00 - Go MAEDA

- Related to Feature #28952: Update User#last_login_on only once per minute added

#18 - 2022-06-22 12:17 - Go MAEDA

- Related to Feature #37115: Update last_login_on when sending requests with API Key added

#19 - 2024-01-02 07:55 - Go MAEDA

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Wont fix

The label "Last connection" was changed to "Last sign in" in Redmine 5.1.0 (see #38477). So, it now displays a consistent value.
